New Search

RHSA-2008:0897 -- ruby security update (Moderate)

oval:org.mitre.oval:def:28242

Updated ruby packages that fix several security issues are now available for Red Hat Enterprise Linux 4 and 5. This update has been rated as having moderate security impact by the Red Hat Security Response Team. Ruby is an interpreted scripting language for quick and easy object-oriented programming. The Ruby DNS resolver library resolv.rb used predictable transaction IDs and a fixed source port when sending DNS requests. A remote attacker could use this flaw to spoof a malicious reply to a DNS query. (CVE-2008-3905)

Family:
unix
Status:
ACCEPTED
Platform(s):
  • CentOS Linux 5
  • Red Hat Enterprise Linux 4
  • Red Hat Enterprise Linux 5
Class:
patch
Reference(s):
  • RHSA-2008:0897
  • CESA-2008:0897-CentOS 5
  • CVE-2008-1145
  • CVE-2008-3443
  • CVE-2008-3655
  • CVE-2008-3656
  • CVE-2008-3657
  • CVE-2008-3790
  • CVE-2008-3905
Product(s):
  • ruby